[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.Delete

Delete a node from the tree

## Declaration

Source position: avl_tree.pp line 122

`public procedure TAVLTree.Delete(`
`ANode: TAVLTreeNode`
`);`

## Arguments

`ANode` |  | The node to delete from the tree.

## Description

Delete removes the node from the tree. The node is not freed, but is passed to a TAVLTreeNodeMemManager instance for future reuse. The data that the node represents is also not freed.

The tree is rebalanced after the node was deleted.

## See also

TAVLTree.Remove |  | Remove a data item from the list.
TAVLTree.RemovePointer |  | Remove a pointer item from the list.
TAVLTree.Clear |  | Clears the tree